<?php

namespace Island\Island;

use DB;
use Illuminate\Database\Seeder;

class IslandsTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('islands')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'island.islands.view',
                'name'      => 'View Islands',
            ],
            [
                'slug'      => 'island.islands.create',
                'name'      => 'Create Islands',
            ],
            [
                'slug'      => 'island.islands.edit',
                'name'      => 'Update Islands',
            ],
            [
                'slug'      => 'island.islands.delete',
                'name'      => 'Delete Islands',
            ],
            
            // Customize this permissions if needed.
            [
                'slug'      => 'island.islands.verify',
                'name'      => 'Verify Islands',
            ],
            [
                'slug'      => 'island.islands.approve',
                'name'      => 'Approve Islands',
            ],
            [
                'slug'      => 'island.islands.publish',
                'name'      => 'Publish Islands',
            ],
            [
                'slug'      => 'island.islands.unpublish',
                'name'      => 'Unpublish Islands',
            ],
            [
                'slug'      => 'island.islands.cancel',
                'name'      => 'Cancel Islands',
            ],
            [
                'slug'      => 'island.islands.archive',
                'name'      => 'Archive Islands',
            ],
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/island/islands',
                'name'        => 'Islands',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/island/islands',
                'name'        => 'Islands',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'islands',
                'name'        => 'Islands',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Island',
                'module'    => 'Islands',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'island.islands.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
