<?php

namespace Island\Island;

use User;

class Island
{
    /**
     * $islands object.
     */
    protected $islands;

    /**
     * Constructor.
     */
    public function __construct(\Island\Island\Interfaces\IslandsRepositoryInterface $islands)
    {
        $this->islands = $islands;
    }

    /**
     * Returns count of island.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.islands.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->islands->pushCriteria(new \Litepie\Island\Repositories\Criteria\IslandsUserCriteria());
        }

        $islands = $this->islands->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('island::' . $view, compact('islands'))->render();
    }
}
