<?php

namespace Island\Island\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class IslandsTransformer extends TransformerAbstract
{
    public function transform(\Island\Island\Models\Islands $islands)
    {
        return [
            'id'                => $islands->getRouteKey(),
            'key'               => [
                'public'    => $islands->getPublicKey(),
                'route'     => $islands->getRouteKey(),
            ], 
            
            'url'               => [
                'public'    => trans_url('island/'.$islands->getPublicKey()),
                'user'      => guard_url('island/islands/'.$islands->getRouteKey()),
            ], 
            'status'            => trans('app.'.$islands->status),
            'created_at'        => format_date($islands->created_at),
            'updated_at'        => format_date($islands->updated_at),
        ];
    }
}