<?php

namespace Island\Island\Workflow;

use Island\Island\Models\Islands;
use Island\Island\Notifications\IslandsWorkflow as IslandsNotifyer;
use Notification;

class IslandsNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param Islands $islands
     *
     * @return void
     */
    public function complete(Islands $islands)
    {
        return Notification::send($islands->user, new IslandsNotifyer($islands, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param Islands $islands
     *
     * @return void
     */
    public function verify(Islands $islands)
    {
        return Notification::send($islands->user, new IslandsNotifyer($islands, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param Islands $islands
     *
     * @return void
     */
    public function approve(Islands $islands)
    {
        return Notification::send($islands->user, new IslandsNotifyer($islands, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param Islands $islands
     *
     * @return void
     */
    public function publish(Islands $islands)
    {
        return Notification::send($islands->user, new IslandsNotifyer($islands, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param Islands $islands
     *
     * @return void
     */
    public function archive(Islands $islands)
    {
        return Notification::send($islands->user, new IslandsNotifyer($islands, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param Islands $islands
     *
     * @return void
     */
    public function unpublish(Islands $islands)
    {
        return Notification::send($islands->user, new IslandsNotifyer($islands, 'unpublish'));;

    }
}
